# -*- coding: utf-8 -*-
# Generated by Django 1.10.8 on 2017-10-26 22:44
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('trunk', '0012_auto_20171026_1844'),
        ('mentorship', '0006_note_is_by_mentor'),
    ]

    operations = [
        migrations.CreateModel(
            name='MentorGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('display_name', models.CharField(max_length=150)),
                ('members', models.ManyToManyField(to='mentorship.Mentor')),
                ('uni', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University')),
            ],
        ),
        migrations.CreateModel(
            name='MentorshipDefaults',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('preferred_contact', models.SmallIntegerField(choices=[(1, 'Phone'), (2, 'StartupTree'), (3, 'Skype'), (4, 'In Person')], default=2)),
                ('duration', models.PositiveSmallIntegerField(choices=[(1, 15), (2, 30), (3, 45), (4, 60)], default=2)),
                ('is_officehours', models.BooleanField()),
                ('location', models.CharField(default=None, max_length=512, null=True)),
                ('mentor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentor')),
            ],
        ),
        migrations.AddField(
            model_name='note',
            name='group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='mentorship.MentorGroup'),
        ),
    ]
